Policy.Placement (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.annotations

## Enum Policy.Placement

- java.lang.Object
- - java.lang.Enum<Policy.Placement>
  - - org.apache.cxf.annotations.Policy.Placement

- All Implemented Interfaces:
    `Serializable`, `Comparable<Policy.Placement>`
  Enclosing class:
    Policy

      public static enum Policy.Placement
      extends Enum<Policy.Placement>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BINDING` |
    `BINDING_OPERATION` |
    `BINDING_OPERATION_FAULT` |
    `BINDING_OPERATION_INPUT` |
    `BINDING_OPERATION_OUTPUT` |
    `DEFAULT` |
    `PORT_TYPE` |
    `PORT_TYPE_OPERATION` |
    `PORT_TYPE_OPERATION_FAULT` |
    `PORT_TYPE_OPERATION_INPUT` |
    `PORT_TYPE_OPERATION_OUTPUT` |
    `SERVICE` |
    `SERVICE_PORT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Policy.Placement` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Policy.Placement[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final Policy.Placement DEFAULT

    - #### PORT_TYPE

          public static final Policy.Placement PORT_TYPE

    - #### PORT_TYPE_OPERATION

          public static final Policy.Placement PORT_TYPE_OPERATION

    - #### PORT_TYPE_OPERATION_INPUT

          public static final Policy.Placement PORT_TYPE_OPERATION_INPUT

    - #### PORT_TYPE_OPERATION_OUTPUT

          public static final Policy.Placement PORT_TYPE_OPERATION_OUTPUT

    - #### PORT_TYPE_OPERATION_FAULT

          public static final Policy.Placement PORT_TYPE_OPERATION_FAULT

    - #### BINDING

          public static final Policy.Placement BINDING

    - #### BINDING_OPERATION

          public static final Policy.Placement BINDING_OPERATION

    - #### BINDING_OPERATION_INPUT

          public static final Policy.Placement BINDING_OPERATION_INPUT

    - #### BINDING_OPERATION_OUTPUT

          public static final Policy.Placement BINDING_OPERATION_OUTPUT

    - #### BINDING_OPERATION_FAULT

          public static final Policy.Placement BINDING_OPERATION_FAULT

    - #### SERVICE

          public static final Policy.Placement SERVICE

    - #### SERVICE_PORT

          public static final Policy.Placement SERVICE_PORT

  - ### Method Detail

    - #### values

          public static Policy.Placement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Policy.Placement c : Policy.Placement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Policy.Placement valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null